"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable max-len */
const path_1 = __importDefault(require("path"));
const vitest_1 = require("vitest");
const steps_1 = require("../steps");
vitest_1.describe('setNameInPackageJSON', () => {
    vitest_1.test('should set the name in package.json', () => {
        const packageJSONPath = path_1.default.join(__dirname, 'test-utils', 'test-package.json');
        const randomPackageName = `test-package-123`;
        steps_1.setNameInPackageJSON(packageJSONPath, randomPackageName);
        // eslint-disable-next-line @typescript-eslint/no-var-requires
        const packageJSONContent = require(packageJSONPath);
        vitest_1.expect(packageJSONContent.name).toBe(randomPackageName);
        vitest_1.expect(packageJSONContent.version).toBe('0.0.15');
        vitest_1.expect(packageJSONContent.description).toBe('test-description');
        steps_1.setNameInPackageJSON(packageJSONPath, 'unset');
    });
});
